
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "extends_rails_3"

Gem::Specification.new do |spec|
  spec.name          = "extends_rails_3"
  spec.version       = "1.9.4.2"
  spec.authors       = ["Douglas Rosa"]
  spec.email         = ["douglasrosa0110@gmail.com"]
  spec.summary       = "Library to extend Rails version 3"
  spec.description   = "Some methods to help legacy systems in Ruby on Rails 3"
  spec.homepage      = "https://github.com/douglasrosa0110/extends_rails_3"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
#  if spec.respond_to?(:metadata)
#    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
#  else
#    raise "RubyGems 2.0 or newer is required to protect against " \
#      "public gem pushes."
#  end
  
  spec.files         = `git ls-files`.split("\n").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0.1"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
